# radioactv

RadioacTV does NOT detect a radioactivity. It detects a difference from previous frame and blurs it.

RadioacTV has 4 mode, normal, strobe1, strobe2 and trigger. In trigger mode, effect appears only when the trigger property is TRUE.

strobe1 and strobe2 mode drops some frames. strobe1 mode uses the difference between current frame and previous frame dropped, while strobe2 mode uses the difference from previous frame displayed. The effect of strobe2 is stronger than strobe1.

## Example launch line

     gst-launch-1.0 -v videotestsrc ! radioactv ! videoconvert ! autovideosink

This pipeline shows the effect of radioactv on a test stream.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──radioactv

## Factory details

Authors: – FUKUCHI, Kentarou , Sebastian Dröge

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – effectv

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { RGBx, BGRx }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: { RGBx, BGRx }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### color

    “color” Radioac-tvcolor *

Color

Flags : Read / Write

Default value : white (3)

### interval

    “interval” guint

Snapshot interval (in strobe mode)

Flags : Read / Write

Default value : 3

### mode

    “mode” Radioac-tvmode *

Mode

Flags : Read / Write

Default value : normal (0)

### trigger

    “trigger” gboolean

Trigger (in trigger mode)

Flags : Read / Write

Default value : false

## Named constants

### Radioac-tvcolor

#### Members

`red` (0) – Red
`green` (1) – Green
`blue` (2) – Blue
`white` (3) – White

### Radioac-tvmode

#### Members

`normal` (0) – Normal
`strobe1` (1) – Strobe 1
`strobe2` (2) – Strobe 2
`trigger` (3) – Trigger

The results of the search are